注册 登录  
 加关注
   显示下一条  |  关闭
温馨提示!由于新浪微博认证机制调整,您的新浪微博帐号绑定已过期,请重新绑定!立即重新绑定新浪微博》  |  关闭

淘尽网 官方博客

淘尽网http://www.tao3w.com做最好的比价网站

 
 
 

日志

 
 
关于我

淘尽网 http://www.tao3w.com 做最好的比价网站,做最好的数据抓取专家。

网易考拉推荐

CentOS中升级Python到3.2  

2012-07-22 16:45:58|  分类: python |  标签: |举报 |字号 订阅

  下载LOFTER 我的照片书  |

CentOS中,Python的版本默认为2.4.3版本,而我们有很多工作可能需要更高的版本,而去Python官网的时候发现,Python的版本已经到3.2了,于是下载并升级了下CentOS中Python的版本。

1、下载Python 3.2,地址:http://www.python.org/ftp/python/3.2/Python-3.2.tar.bz2

2、安装Python 3.2

1
2
3
4
5
6
7
# 进入shell
#解包
$tar jxvf Python-3.2.tar.bz2
#配置并安装
$cd Python3.2
$./configure
$make && make install

3、到此我们已经安装完成了,但是我们进入shell后,发现python还是2.4.3版本,我们需要建立一个链接

1
2
3
4
5
6
#back up old file
$mv /usr/bin/python /usr/bin/python-2.4.3.bak
#soft link to the python3.2
$ln -s /usr/locale/bin/python3.2 /usr/bin/python
#check the python version
$python -V

4、安装配置完成后,yum可能无法正常工作,还需要做些配置

1
2
3
4
$vi /usr/bin/yum
#将其中的/usr/bin/python修改为#/usr/bin/python2.4
#wq保存即可
#到此yum正常

主要是由于我们修改了默认的Python版本为3.2,并修改了默认的链接。而yum需要使用原来版本的python,从而导致无法使用。所以指定老版本的python给yum调用即可。

  评论这张
 
阅读(202)| 评论(0)
推荐 转载

历史上的今天

在LOFTER的更多文章

评论

<#--最新日志,群博日志--> <#--推荐日志--> <#--引用记录--> <#--博主推荐--> <#--随机阅读--> <#--首页推荐--> <#--历史上的今天--> <#--被推荐日志--> <#--上一篇,下一篇--> <#-- 热度 --> <#-- 网易新闻广告 --> <#--右边模块结构--> <#--评论模块结构--> <#--引用模块结构--> <#--博主发起的投票-->
 
 
 
 
 
 
 
 
 
 
 
 
 
 

页脚

网易公司版权所有 ©1997-2017